API ReferencePublic
Get Production Advancements Filters
Get production advancements filters.
Authorization
bearerAuth superuserAuthorization<token>
In: header
Scope: superuser
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
Try it live
curl -X POST "https://example.com/v1/public/production-advancements/filters" \ -H "Content-Type: application/json" \ -d '{}'{ "totalCount": 0.1, "totalPages": 0.1, "currentPage": 0.1, "productionLogs": [ { "id": "string", "type": "total", "sensorCount": 0.1, "count": 0.1, "nominalSpeed": 0.1, "countingFactor": 0.1, "start": "2019-08-24T14:15:22Z", "end": "2019-08-24T14:15:22Z", "isReviewed": true, "isAutomated": true, "machineId": 0.1, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "live": true, "machine": { "isCountEnabled": true, "externalName": "string", "name": "string", "id": 0.1 }, "shift": { "isConsidered": true, "end": "2019-08-24T14:15:22Z", "start": "2019-08-24T14:15:22Z", "name": "string", "id": 0.1 }, "company": { "timezone": "string", "name": "string", "id": 0.1 }, "operator": { "email": "string", "lastName": "string", "firstName": "string", "id": 0.1 }, "sku": { "unit": "string", "description": "string", "name": "string", "id": "string" }, "workOrder": { "status": "Backlog", "description": "string", "name": "string", "id": "string" }, "simpleWorkOrder": { "name": "string", "id": "string" } } ]}